package com.cyksj.model.entity;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

/*
 *项目名: netflix
 *文件名: GoodsClickUserRecord
 *创建者: JavaZou
 *创建时间:2023/8/18 10:47
 */
@Getter
@Setter
public class GoodsClickUserRecord extends BaseEntity{
	private Long userId;

	private Long goodsId;

	private Long category;

	/**
	 * 点击环境 搭配平台分类点击
	 */
	private EnvType envType;

	@Getter
	@AllArgsConstructor
	public enum EnvType {
		pc("pc"),
		h5("h5"),
		h5Tj("h5推荐"),
		;
		String desc;
	}
}
